# Generated from debt-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name debt

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Quickly assess the complexity and technical debt of a rails app
License: MIT
URL: https://github.com/ssaunier/debt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
debt is a utility to be run in your rails app root directory to quickly dive
into it.
It comes handy when you get your hands on a legacy rails application and you
want to
understand how much technical debt you inherit.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/debt.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
